aboutsummaryrefslogtreecommitdiffstats
path: root/main/xf86miscproto/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-10-02 18:37:03 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-10-02 18:37:03 +0000
commit84bae70a2cba7ff39657d52361876b83f0e0af36 (patch)
treeda5d9c0312bcb7e1542660bf385e41ef7fc9e92c /main/xf86miscproto/APKBUILD
parent5e53e9d767d907b8df81fb8019dd9fdf278704db (diff)
downloadaports-84bae70a2cba7ff39657d52361876b83f0e0af36.tar.gz
aports-84bae70a2cba7ff39657d52361876b83f0e0af36.tar.bz2
aports-84bae70a2cba7ff39657d52361876b83f0e0af36.tar.xz
main/[various]: update config.sub
Diffstat (limited to 'main/xf86miscproto/APKBUILD')
-rw-r--r--main/xf86miscproto/APKBUILD20
1 files changed, 15 insertions, 5 deletions
diff --git a/main/xf86miscproto/APKBUILD b/main/xf86miscproto/APKBUILD
index 77b83bcffc..4b91c70f05 100644
--- a/main/xf86miscproto/APKBUILD
+++ b/main/xf86miscproto/APKBUILD
@@ -1,24 +1,34 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xf86miscproto
pkgver=0.9.3
-pkgrel=1
+pkgrel=2
pkgdesc="X11 XFree86-Miscellaneous extension wire protocol"
url="http://xorg.freedesktop.org/"
-arch="all"
+arch="noarch"
license="custom"
depends=""
makedepends=""
source="http://xorg.freedesktop.org//releases/individual/proto/$pkgname-$pkgver.tar.bz2"
-build ()
-{
- cd "$srcdir"/$pkgname-$pkgver
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
+build() {
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
--prefix=/usr \
|| return 1
make || return 1
+}
+
+package() {
+ cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
}
md5sums="ca63bbb31cf5b7f37b2237e923ff257a xf86miscproto-0.9.3.tar.bz2"